import { ExecutionContext } from '@nestjs/common';
import { ConfigService } from '@nestjs/config';
import { Reflector } from '@nestjs/core';
import { JwtService } from '@nestjs/jwt';
import { AbstractGuard } from './abstract-guard.guard';
export declare class JwtAuthGuard extends AbstractGuard {
    private readonly reflector;
    private readonly jwtService;
    private readonly configService;
    private readonly scopeADM;
    constructor(reflector: Reflector, jwtService: JwtService, configService: ConfigService, scopeADM: string);
    canActivate(context: ExecutionContext): Promise<boolean>;
}
