"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomErrorException = void 0;
const common_1 = require("@nestjs/common");
class CustomErrorException extends common_1.HttpException {
    constructor(message, status, errCode = -1) {
        super(message, status);
        this.message = message;
        this.errCode = errCode;
    }
    get type() {
        return this.constructor.name;
    }
}
exports.CustomErrorException = CustomErrorException;
