"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmptyPropException = void 0;
const common_1 = require("@nestjs/common");
const custom_error_exception_1 = require("./custom-error.exception");
class EmptyPropException extends custom_error_exception_1.CustomErrorException {
    constructor(element) {
        super(`The property '${element}' cannot be empty`, common_1.HttpStatus.NOT_ACCEPTABLE, 2);
    }
}
exports.EmptyPropException = EmptyPropException;
