"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MongoDBException = void 0;
const common_1 = require("@nestjs/common");
const custom_error_exception_1 = require("./custom-error.exception");
class MongoDBException extends custom_error_exception_1.CustomErrorException {
    constructor(message, code) {
        super(message, common_1.HttpStatus.BAD_REQUEST, typeof code == 'number' ? code : 4);
    }
}
exports.MongoDBException = MongoDBException;
