"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResolutionException = void 0;
const common_1 = require("@nestjs/common");
const custom_error_exception_1 = require("./custom-error.exception");
class ResolutionException extends custom_error_exception_1.CustomErrorException {
    constructor(message, status = common_1.HttpStatus.INTERNAL_SERVER_ERROR) {
        super(message, status, 6);
    }
}
exports.ResolutionException = ResolutionException;
