"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractExceptionFilter = void 0;
const common_1 = require("@nestjs/common");
const core_1 = require("@nestjs/core");
let AbstractExceptionFilter = class AbstractExceptionFilter {
    constructor(adapterHost) {
        this.httpAdapter = adapterHost.httpAdapter;
    }
    getResponse(host, _exception) {
        return host.switchToHttp().getResponse();
    }
    catch(exception, host) {
        const response = this.getResponse(host, exception);
        const customResponse = this.makeCustomResponse(exception);
        console.error(exception);
        this.httpAdapter.reply(response, customResponse, customResponse.status);
    }
};
AbstractExceptionFilter = __decorate([
    (0, common_1.Catch)(),
    __metadata("design:paramtypes", [core_1.HttpAdapterHost])
], AbstractExceptionFilter);
exports.AbstractExceptionFilter = AbstractExceptionFilter;
