"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MongoDBExceptionFilter = void 0;
const common_1 = require("@nestjs/common");
const abstract_exception_filter_1 = require("./abstract-exception.filter");
const mongodb__exception_1 = require("../exception/mongodb-.exception");
let MongoDBExceptionFilter = class MongoDBExceptionFilter extends abstract_exception_filter_1.AbstractExceptionFilter {
    makeCustomResponse(exception) {
        return {
            status: common_1.HttpStatus.BAD_REQUEST,
            message: exception.message,
            type: exception.name,
            errorCode: exception.errCode
        };
    }
};
MongoDBExceptionFilter = __decorate([
    (0, common_1.Catch)(mongodb__exception_1.MongoDBException)
], MongoDBExceptionFilter);
exports.MongoDBExceptionFilter = MongoDBExceptionFilter;
