"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmptyDataException = void 0;
const common_1 = require("@nestjs/common");
const custom_error_exception_1 = require("./custom-error.exception");
class EmptyDataException extends custom_error_exception_1.CustomErrorException {
    constructor(element = '') {
        super(`The ${element} data cannot be empty`, common_1.HttpStatus.INTERNAL_SERVER_ERROR, 1);
    }
}
exports.EmptyDataException = EmptyDataException;
