"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MissingSeedException = void 0;
const seed_exception_1 = require("./seed.exception");
class MissingSeedException extends seed_exception_1.SeedException {
    constructor(actual, expected, refElement, refPluralElement = '') {
        refPluralElement =
            refPluralElement.length > 0 ? refPluralElement : `${refElement}s`;
        super(actual === 0
            ? `No ${refElement} has been seeded`
            : `The are (${expected - actual}) seeded ${refPluralElement} missing`);
    }
}
exports.MissingSeedException = MissingSeedException;
