"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DTO = void 0;
const empty_prop_exception_1 = require("../core/error-handling/exception/empty-prop.exception");
class DTO {
    validateIsAnyEmptyKey() {
        const context = this;
        Object.keys(this).forEach(function (key) {
            if (context[key].length === 0)
                throw new empty_prop_exception_1.EmptyPropException(key);
        });
    }
}
exports.DTO = DTO;
